
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../store/actions.dart';
import '../store/store.dart';
import '../widgets/desktop/desktop_pay_now.dart';
import '../widgets/mobile/mobile_pay_now.dart';

class PayNow extends StatelessWidget {
  final int orderId;

  const PayNow(this.orderId, {Key? key}) :
      super(key: key);


  @override
  Widget build(BuildContext context) {
    store.dispatch(UpdateContext(context));

    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          ScreenTypeLayout(
            mobile: MobilePayNow(orderId,),
            tablet: DesktopPayNow(orderId,),
            desktop: DesktopPayNow(orderId,),
          ),
    );
  }

}